=== doc/Makefile ===
foomuuri.1: foomuuri.md
	pandoc --standalone --to=man foomuuri.md --output foomuuri.1
