=== debian/changelog ===
foomuuri (0.19-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 23 Jul 2023 11:38:58 +0200

foomuuri (0.19-2) unstable; urgency=medium

  * Make foomuuri and foomuuri-firewalld binary packages arch:all, as
    there's nothing arch-specific in there...
  * Build-depend on python3, not python3-dev.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 17 Jul 2023 22:20:51 +0200

foomuuri (0.19-1) unstable; urgency=medium

  * Initial release (closes: #1035663).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 14 Jul 2023 18:44:24 +0200
