=== debian/changelog ===
foomuuri (0.20-1) unstable; urgency=medium

  * New upstream release.
  * Drop all Debian patches, all changes are included in this version or
    no longer relevant.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 15 Aug 2023 15:17:24 +0200
