=== debian/changelog ===
foomuuri (0.22-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Dec 2023 12:01:22 +0100

foomuuri (0.21-2) unstable; urgency=medium

  * Ship upstream README.md and add very simple quick start instructions
    to README.Debian (closes: #1050038).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Dec 2023 16:58:10 +0100

foomuuri (0.21-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 07 Oct 2023 11:24:36 +0200
