=== debian/control ===
Source: foomuuri
Section: net
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flake8,
               pycodestyle,
               pylint,
               python3,
               python3-dbus,
               python3-gi,
               python3-requests,
               python3-systemd
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/FoobarOy/foomuuri
Vcs-Git: https://salsa.debian.org/rfrancoise/foomuuri.git
Vcs-Browser: https://salsa.debian.org/rfrancoise/foomuuri

Package: foomuuri
Architecture: all
Depends: nftables,
         python3-dbus,
         python3-gi,
         python3-requests,
         python3-systemd,
         ${misc:Depends},
         ${python3:Depends}
Recommends: fping
Suggests: foomuuri-firewalld
Description: multizone bidirectional nftables firewall
 Foomuuri is a firewall generator for nftables based on the concept
 of zones. It is suitable for all systems from personal machines to
 corporate firewalls, and supports advanced features such as a rich
 rule language, IPv4/IPv6 rule splitting, dynamic DNS lookups, a
 D-Bus API and firewalld emulation for NetworkManager's zone
 support.

Package: foomuuri-firewalld
Architecture: all
Depends: foomuuri,
         ${misc:Depends}
Description: multizone bidirectional nftables firewall - firewalld emulation
 This package provides firewalld D-Bus emulation for Foomuuri, allowing
 dynamically assigning interfaces to Foomuuri zones via NetworkManager,
 replacing firewalld.
