=== debian/tests/control ===
Tests: smoketest
Depends: @
Restrictions: superficial
