## foomuuri 0.24

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Foomuuri - Multizone bidirectional nftables firewall.
 
-.PHONY: all test clean distclean install sysupdate release tar
+.PHONY: all test devel clean distclean install sysupdate release tar
 
 CURRENT_VERSION		?= $(shell grep ^VERSION src/foomuuri | awk -F\' '{ print $$2 }')
 SYSTEMD_SYSTEM_LOCATION	?= /usr/lib/systemd/system
@@ -12,14 +12,18 @@
 # Check source
 
 test:
-	flake8 src/foomuuri
-	pycodestyle src/foomuuri
-	pylint src/foomuuri
+	$(MAKE) -C test
+
+# Generate firewall ruleset to file, used in development
+
+devel:
+	src/foomuuri --set=etc_dir=../devel --set=share_dir=etc --set=state_dir=../devel --set=run_dir=../devel check
 
 # Delete created files
 
 clean distclean:
 	rm -f foomuuri-*.tar.gz
+	$(MAKE) -C test $@
 
 # Install current source to DESTDIR
 
@@ -32,8 +36,10 @@
 	mkdir -p $(DESTDIR)/usr/share/foomuuri/
 	cp etc/default.services.conf $(DESTDIR)/usr/share/foomuuri/
 	cp etc/static.nft $(DESTDIR)/usr/share/foomuuri/
+	cp etc/block.fw $(DESTDIR)/usr/share/foomuuri/
 	mkdir -p $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
 	cp systemd/foomuuri.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
+	cp systemd/foomuuri-boot.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
 	cp systemd/foomuuri-dbus.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
 	cp systemd/foomuuri-iplist.service $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
 	cp systemd/foomuuri-iplist.timer $(DESTDIR)$(SYSTEMD_SYSTEM_LOCATION)/
@@ -66,6 +72,7 @@
 		echo "Current: $(CURRENT_VERSION)"; \
 		exit 1; \
 	fi
+	! grep -q 20..-xx-xx CHANGELOG.md
 	git diff --exit-code
 	git diff --cached --exit-code
 	sed -i -e "s@^\(VERSION = '\).*@\1$(VERSION)'@" src/foomuuri
