=== debian/changelog ===
foomuuri (0.24-2) unstable; urgency=medium

  * Run the new upstream test suite from autopkgtest, remove
    superficial restriction and corresponding lintian override.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 20 Jun 2024 22:18:29 +0200

foomuuri (0.24-1) unstable; urgency=medium

  * New upstream release.
  * Install new block.fw policy under /usr/share/foomuuri for `foomuuri block'.
  * Add build-dep on dh-sequence-movetousr to move systemd units to their
    new location in /usr, until the forky cycle starts (closes: #1073666).

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 19 Jun 2024 22:16:27 +0200

foomuuri (0.23-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete lintian override and add new entry for groff-message.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 21 Mar 2024 22:27:16 +0100
