=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-movetousr,
                flake8,
                pycodestyle,
                pylint,
