=== debian/changelog ===
foomuuri (0.25-2) unstable; urgency=medium

  * Cherry-pick commit 875206b443 from upstream to fix pylint 3.3.1
    warning which makes the test suite fail.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 04 Oct 2024 21:44:52 +0200

foomuuri (0.25-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 01 Oct 2024 19:14:20 +0200
