## foomuuri 0.26

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 all: test
 
-# Check source
+# Run testsuite and check source
 
 test:
 	$(MAKE) -C test
@@ -65,7 +65,7 @@
 
 # Make new release
 
-release:
+release: test clean
 	@if [ -z "$(VERSION)" ]; then \
 		echo "Usage: make release VERSION=x.xx"; \
 		echo; \
