=== debian/changelog ===
foomuuri (0.26-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Nov 2024 16:58:37 +0100

foomuuri (0.26-1) unstable; urgency=medium

  * New upstream release.
  * Drop now unused override `groff-message'.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 13 Nov 2024 22:02:23 +0100

foomuuri (0.25-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 07 Oct 2024 20:32:57 +0200

foomuuri (0.24-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 20 Jun 2024 22:28:48 +0200

foomuuri (0.23-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 27 Mar 2024 21:27:49 +0100

foomuuri (0.22-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 01 Jan 2024 12:16:49 +0100

foomuuri (0.21-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 22 Oct 2023 16:58:20 +0200

foomuuri (0.20-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 09 Sep 2023 19:06:22 +0200
