=== debian/changelog ===
foomuuri (0.27-2) unstable; urgency=medium

  * Orphaning package.
  * debian/control:
    + Set Maintainer to Debian QA Group <packages@qa.debian.org>.
    + Update Vcs-* fields to point to new location in the Debian group on Salsa.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 08 Feb 2025 11:37:36 +0100

foomuuri (0.27-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 28 Jan 2025 21:00:19 +0100
