=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: foomuuri
 Section: net
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-movetousr,
@@ -13,11 +13,11 @@
                python3-gi,
                python3-requests,
                python3-systemd
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/FoobarOy/foomuuri
-Vcs-Git: https://salsa.debian.org/rfrancoise/foomuuri.git
-Vcs-Browser: https://salsa.debian.org/rfrancoise/foomuuri
+Vcs-Git: https://salsa.debian.org/debian/foomuuri.git
+Vcs-Browser: https://salsa.debian.org/debian/foomuuri
 
 Package: foomuuri
 Architecture: all
