=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_install:
	SYSTEMD_SYSTEM_LOCATION=/lib/systemd/system dh_auto_install

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade --no-enable --no-start
