## foomuuri 0.28

=== debian/changelog ===
foomuuri (0.28-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Kim B. Heino <b@bbbs.net>  Thu, 04 Sep 2025 10:49:45 +0300

foomuuri (0.28-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #1095472)
  * Cherry-pick commit b5cb326 from upstream to fix reprotest.
  * Add missing build-dependency "nftables", needed for reprotest.
  * Install systemd units to /usr/lib, not /lib.
  * Bump Standards-Version to 4.7.2.

 -- Kim B. Heino <b@bbbs.net>  Sun, 27 Apr 2025 14:55:35 +0300
