=== doc/Makefile ===
foomuuri.8: foomuuri.md
	pandoc --standalone --to=man foomuuri.md --output foomuuri.8
