=== debian/changelog ===
foomuuri (0.29-1) unstable; urgency=medium

  * New upstream release.
  * Drop Debian patches, they are included to upstream release.

 -- Kim B. Heino <b@bbbs.net>  Fri, 26 Sep 2025 15:32:44 +0300
