=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade --no-enable --no-start
