=== debian/tests/control ===
Tests: smoketest upstream
Depends: @
Restrictions: allow-stderr
