=== debian/watch ===
version=4
opts="uversionmangle=s/^v//" \
      https://github.com/FoobarOy/foomuuri/tags \
      /FoobarOy/foomuuri/archive/refs/tags/(.+).tar.gz debian uupdate
