=== debian/changelog ===
foomuuri (0.30-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Kim B. Heino <b@bbbs.net>  Fri, 12 Dec 2025 13:56:40 +0200

foomuuri (0.30-1) unstable; urgency=medium

  * New upstream release.

 -- Kim B. Heino <b@bbbs.net>  Fri, 12 Dec 2025 13:55:04 +0200

foomuuri (0.29-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Kim B. Heino <b@bbbs.net>  Fri, 26 Sep 2025 15:40:53 +0300
