=== debian/changelog ===
foomuuri (0.31-1~bpo13+1) trixie-backports; urgency=high

  * Rebuild for trixie-backports.

 -- Kim B. Heino <b@bbbs.net>  Wed, 07 Jan 2026 13:09:43 +0200

foomuuri (0.31-1) unstable; urgency=high

  * New upstream release.
  * Fix CVE-2025-67858 and CVE-2025-67603.
  * Fix pylint warning in "make test" (Closes: #1124159)
  * Remove build-dep dh-sequence-movetousr (Closes: #1122754)

 -- Kim B. Heino <b@bbbs.net>  Wed, 07 Jan 2026 12:25:21 +0200
