=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: foomuuri
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Kim B. Heino <b@bbbs.net>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dh-sequence-movetousr,
                flake8,
+               nftables,
                pycodestyle,
                pylint,
                python3,
@@ -13,7 +13,7 @@
                python3-gi,
                python3-requests,
                python3-systemd
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/FoobarOy/foomuuri
 Vcs-Git: https://salsa.debian.org/debian/foomuuri.git
